@font-face {
    font-family: 'Estedad';
    src: url('fonts/Estedad-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Estedad';
    src: url('fonts/Estedad-Bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Estedad';
    src: url('fonts/Estedad-Black.woff2') format('woff2');
    font-weight: 900;
    font-style: normal;
}

@font-face {
    font-family: 'Azar';
    src: url('fonts/Azar.woff2') format('woff2'),
        url('fonts/Azar.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}


:root {
    --crimson: #700000;
    --yellow: #FBB306;
    --text-color: #180101;
    --font-family: 'Estedad', sans-serif;
    --font-azar: 'Azar', serif;
}

body {
    font-family: var(--font-family);
    background-color: #fff;
    color: var(--text-color);
    font-size: 16px;
    line-height: 1.5;

    font-smoothing: antialiased;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;


}

.container {
    width: 100vw;
    height: 100svh;
    display: grid;
    place-items: center;
}

.skeleton {
    width: 640px;
    height: 100svh;
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: -1;

    .line {
        display: block;
        width: 1px;
        height: 100%;
        position: absolute;
        top: 0;
        background-color: hsl(from var(--text-color) h s l / 0.1);

        &:nth-child(1) {
            left: 0;
        }
        &:nth-child(2) {
            left: 50%;
            transform: translateX(-50%);
            opacity: 0.5;
        }
        &:nth-child(3) {
            right: 0;
        }
    }
}

.container-inner {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
    width: 640px;
    height: 100%;
    justify-content: space-between;
    padding-block: 4rem;
}

.logo {
    width: 120px;
    height: 120px;
    display: grid;
    place-items: center;
    background-color: var(--crimson);
    margin-inline: auto;
    position: relative;

    &::before {
        content: '';
        position: absolute;
        top: -200px;
        left: 0;
        width: 100%;
        height: 300px;
        background-color: var(--crimson);
        z-index: -1;
    }

    svg {
        max-width: 90px;
    }
}

.content {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    text-align: center;
    align-items: center;
    
    .middle {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;

        h1 {
            font-family: var(--font-azar);
            font-size: 2rem;
            font-weight: 400;
            line-height: 1.2;
            width: fit-content;
            display: flex;
            align-items: center;
            gap: 1rem;
    
            :not(.separator) {
                width: 120px;
                display: inline-block;
            }
    
            .separator {
                display: inline-block;
                width: 1px;
                height: 50px;
                background-color: var(--text-color);
            }

            .title {
                display: inline-flex;
                align-items: center;
                position: relative;

                i {
                    font-style: normal;
                    display: inline-block;
                    font-family: var(--font-family);
                    font-weight: 400;
                    font-size: 0.5em;
                    background-color: var(--crimson);
                    color: #fff;
                    padding: 0.2em 0.6em;
                    border-radius: 2rem;
                }
            }
        }
    
        p {
            width: 50%;
            line-height: 1.8;
            color: hsl(from var(--text-color) h s l / 0.6);
    
            strong {
                font-weight: 700;
            }
        }
    }

    .book {
        width: fit-content;
        padding: 0.5rem;
        display: flex;
        justify-content: center;
        margin-top: 1rem;
        position: relative;

        &:hover {
            .button {
                transform: translateY(-5px);
            }
        }

        .button {
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 0.5rem;
            background-color: var(--crimson);
            color: #fff;
            width: 200px;
            padding: 1rem 1.5rem;
            text-decoration: none;
            border-radius: 2rem;
            font-weight: 700;
            transition: all 0.2s linear;

            svg {
                width: 20px;
                height: 20px;
            }

            &:hover {
                box-shadow: 0 5px 0 0 hsl(from var(--crimson) h s l / 0.3);
            }
        }


        .shadow {
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 0rem;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 300px;
            height: 300px;
            z-index: -1;
            filter: blur(50px);
            opacity: 0.3;

            span {
                display: block;
                width: 100px;
                height: 100px;
                background-color: var(--crimson);
                aspect-ratio: 1/1;
                border-radius: 100%;
                flex: 1;
                min-width: 0;
                filter: blur(15px);

                &:nth-child(1) {
                    transform: translateX(-50%);
                    opacity: 0.5;
                }

                &:nth-child(2) {
                    transform: translateX(0);
                }

                &:nth-child(3) {
                    transform: translateX(50%);
                    opacity: 0.5;
                }
            }
        }
    }
}



@media (max-width: 640px) {
    .container-inner {
        width: 100%;
    }

    .content {
        .middle {
           p {
            width: 80%;
           }
        }
    }
}
